Geography (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.Geography interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys
Interface Geography

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalLocation, Position, java.io.Serializable

All Known Subinterfaces:
  Room, SiteInfo, Zone

    public interface Geography

extends PhysicalLocation, Position

the representation of a geographical region. as abstract as a large area (e.g. EMEA, AP) or country (e.g. US) or other large physical presence valid for the particular environment (e.g. east region). There is no rule as to the required physical size of a location to be considered a instance of Geography.

Naming Rules:
  0="regionName,-regionNumber" 1="regionName,regionNumber"
Persistable:
  true
Display Name:
  regionName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCountry()` The country within which this site resides.
`java.lang.String` | `getRegionName()` Description: The name of the geographical region, as it is recognized by this company.
`java.lang.String` | `getRegionNumber()` Description: Represents the number of the particular geographical region, where the identity of a region requires more than a name.
`SiteInfo[]` | `getSiteGeography()`
`boolean` | `hasCountry()`
`boolean` | `hasRegionName()`
`boolean` | `hasRegionNumber()`
`boolean` | `hasSiteGeography()`
`void` | `setCountry(java.lang.String x)`
`void` | `setRegionName(java.lang.String x)`
`void` | `setRegionNumber(java.lang.String x)`
`void` | `setSiteGeography(SiteInfo[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.phys.Position
`getAisle, getAltitude, getRackPosition, getRow, getXCoordinate, getYCoordinate, hasAisle, hasAltitude, hasRackPosition, hasRow, hasXCoordinate, hasYCoordinate, setAisle, setAltitude, setRackPosition, setRow, setXCoordinate, setYCoordinate`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSiteGeography

    SiteInfo[] getSiteGeography()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSiteGeography

    void setSiteGeography(SiteInfo[] x)

### hasSiteGeography

    boolean hasSiteGeography()

### getRegionNumber

    java.lang.String getRegionNumber()
                                     throws AttributeNotSetException

  Description: Represents the number of the particular geographical region, where the identity of a region requires more than a name. Standard Content Origin / Best Practice Content: To be used when there is additional need to quaifiy the identity of the region, where the name of the region is not unique within the environment. The content of this attribute should match to a valid region number for the organization. Example: 001 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setRegionNumber

    void setRegionNumber(java.lang.String x)

### hasRegionNumber

    boolean hasRegionNumber()

### getCountry

    java.lang.String getCountry()
                                throws AttributeNotSetException

  The country within which this site resides. The value of this attribute should be the two-character code assigned for the country by ISO 3166.

  Throws:
    `AttributeNotSetException`

### setCountry

    void setCountry(java.lang.String x)

### hasCountry

    boolean hasCountry()

### getRegionName

    java.lang.String getRegionName()
                                   throws AttributeNotSetException

  Description: The name of the geographical region, as it is recognized by this company. Regions can be bounded by country borders, by sections of the earth, or by geographical components of a individual country or state/province. Instances of the class Region are the representation of the largest geographical area, given all other PhysicalLocation classes. Standard Content Origin / Best Practice Content: Provide the name of the region for the resource instance. The content of this attribute should match to a obtainable region. Follow the best practices for the organization implementing this attribute. Example: East Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setRegionName

    void setRegionName(java.lang.String x)

### hasRegionName

    boolean hasRegionName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD